/* ================================
   RESPONSIVE STYLES
================================ */

/* Large desktop */
@media (max-width: 1280px) {

  .section-wrapper {
    background: #000B36;
  }

  .main-title {
    font-family: Inter;
    font-size: 36px;
    font-style: normal;
    font-weight: 500;
    line-height: 110%;
    letter-spacing: -0.72px;
    margin-bottom: 20px;
  }

  .header-right {
    background: #1C1E4E;
  }

  .investing-logo {
    height: 32px;
  }

  .dashboard::after {
    height: 0;
  }

  .dashboard__image {
    max-width: 460px;
    padding: 0 10px;
  }

  .dashboard-block {
    position: static;
    transform: none;
    border-radius: 32px;
  }

  .dashboard-block-wrapper {
    border-radius: 32px;
    margin: -6px;
    max-width: none;
  }

  .dashboard-block-wrapper::before {
    background: linear-gradient(89deg,
        #1C0C4F 0%,
        #2D25E6 20%,
        #039BE5 38%,
        #86044B 55%,
        #A61420 68%,
        #F61468 82%,
        #BA0FA9 100%);
    filter: blur(24px);
  }

  .dashboard-block-texts {
    flex-direction: column;
    gap: 16px;
    border-radius: 32px;
    padding: 24px 16px;
  }

  .dashboard-block-text {
    gap: 4px;
    flex-direction: column;
  }
}

/* Desktop / Tablet */
@media (max-width: 1024px) {

  .traders-videos {
    flex: 0 0 37%;
  }

  .traders-block {
    padding: 24px;
  }

  .rule-item {
    font-size: 18px;
    min-height: 80px;
  }

  .swiper-pagination .swiper-pagination-clickable .swiper-pagination-bullets .swiper-pagination-horizontal {
    padding: 4px;
    border-radius: 4px;
    border: 1px solid #575E7B;
  }

  .swiper-pagination2 {
    display: flex;
  }

  .swiper-pagination-bullet {
    background-color: #575E7B;
    width: 12px !important;
    height: 12px !important;
  }

  .swiper-pagination-bullet-active {
    background-color: #ffffff !important;
  }

  .swiper-pagination,
  .swiper-pagination2 {
    border-radius: 50px;
    border: 1px solid rgba(255, 255, 255, 0.20);
    background: rgba(255, 255, 255, 0.20);
    padding: 8px 16px;
    display: flex;
    width: auto !important;
    left: 50% !important;
    transform: translateX(-50%) !important;
  }

  .swiper-pagination3 {
    border: 1px solid rgba(255, 255, 255, 0.06) !important;
    background: rgba(0, 0, 0, 0.12) !important;
  }

  #pro-bottom {
    margin-top: 64px;
    font-size: 18px;
  }

  .info-mobile-container,
  .info-mobile-container2,
  .info-mobile-container3 {
    padding-bottom: 60px !important;
    padding-top: 54px !important;
    overflow: hidden;
  }

  .info-mobiles2 {
    justify-content: flex-start;
  }

  .price-header_block {
    display: none;
  }


  .price {
    padding: 40px 0px 0px;
  }

  .prime-item::before {
    display: none;
  }

  .price-wrapper {
    border-radius: 64px 64px 0 0;
    padding-bottom: 100px;
  }

  .price-header {
    flex-direction: column;
    padding-bottom: 40px;
    align-items: center;
  }

  .price-header_title {
    font-size: 28px;
    line-height: 36px;
    margin-bottom: 24px;
    text-align: center;
  }

  .price-list {
    overflow-x: scroll;
    overscroll-behavior-x: auto;
    width: 100%;
    justify-content: center;
    gap: 16px;
    padding: 0px 0px 10px 0px;
    margin-bottom: 24px;
  }

  .price-item {
    min-width: 247px;
    padding: 24px 0;
  }

  .price-item_title {
    font-size: 18px;
    line-height: 24px;
  }

  .price-item_number {
    font-size: 28px;
    line-height: 36px;
    margin-bottom: 2px;
  }

  .price-item_line {
    width: 159px;
    margin: 12px 0px;
  }

  .price-item_subnumber {
    font-size: 14px;
    line-height: 21px;
    margin-bottom: 12px;
  }

  .price-item_sale {
    font-size: 18px;
    line-height: 24px;
    margin-bottom: 2px;
  }

  .price-item_forsale {
    font-size: 14px;
    line-height: 21px;
    margin-bottom: 12px;
  }

  .price-item_sum {
    font-size: 18px;
    line-height: 24px;
  }

  .price-item_subsum {
    font-size: 14px;
    line-height: 21px;
  }

  .button-desktop {
    display: block;
  }

  .price-arrow {
    display: none;
  }

  .price-bottom-text {
    margin-bottom: 40px;
    text-align: center;
  }


  .main-content {
    gap: 24px;
  }

  .traditional-title {
    font-size: 28px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%;
    letter-spacing: -0.56px;
    margin-bottom: 24px;
  }

  .traditional-col--good .traditional-col__header,
  .traditional-col--good .traditional-list {
    padding: 0;
  }

  .video-title {
    font-size: 32px;
  }

  .video-subtitle {
    font-size: 16px;
  }

  .traders {
    padding: 40px 0 80px;
  }

  .traders-leaderboard {
    width: 100%;
  }

  .lb-other-profit {
    color: #17F871;
  }

  .power-title {
    font-size: 32px;
    margin-bottom: 24px;
  }

  .academy-title-text {
    font-size: 32px;
  }

  .journey-title {
    font-size: 32px;
  }

  .price-header_title {
    font-size: 28px;
  }

  .audience-title {
    font-size: 32px;
  }

  .testimonials-title {
    font-size: 32px;
  }

  .cta-title {
    font-size: 36px;
  }

  .journey-step {
    grid-template-columns: 1fr;
  }

  .journey-step:nth-child(even) .journey-step__image {
    order: 0;
  }

  .journey-step:nth-child(even) .journey-step__info {
    order: 0;
  }

  .academy-swiper-button-prev {
    left: 0;
  }

  .academy-swiper-button-next {
    right: 0;
  }
}

/* Tablet */
@media (max-width: 992px) {
  .main-dashboard {
    padding: 48px 0 40px;
  }

  .main-content {
    flex-direction: column;
  }

  .text-content {
    max-width: 100%;
    text-align: center;
  }

  .leaderboard-podium {
    flex-direction: column;
    gap: 8px;
  }

  .lb-podium-bottom {
    flex-direction: row;
    justify-content: space-between;
    gap: 32px;
  }

  .lb-podium-card {
    min-height: 133px;
    width: 100%;

  }

  .button-group {
    justify-content: center;
  }

  .dashboard {
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
  }

  .media-none {
    display: none;
  }

  .desktop-none {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 8px 0;
  }


  .traditional-columns {
    flex-direction: column;
    align-items: center;
    gap: 8px;
  }

  .traditional-col {
    padding: 16px 16px 24px;
    width: 100%;
    border-radius: 32px;
  }

  .traditional-col__header {
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: 100%;
    letter-spacing: -0.48px;
    text-align: center;
    margin: 20px auto 16px;
  }

  .traditional-list {
    gap: 12px;
  }

  .traditional-list__item {
    font-size: 16px;
  }

  .traditional-list__item--yes {
    font-size: 18px;
  }

  .traditional-image--good {
    max-width: 100%;
    margin: auto;
    padding-top: 20px;
  }

  .traditional-col--good {
    margin-left: 0;
  }

  .power-comparison {
    flex-direction: column;
    align-items: center;
  }

  .banner-offer-wrapper {
    border-radius: 40px;
    padding: 4px;
  }

  .banner-offer-wrapper-desktop {
    display: none;
  }

  .banner-offer-wrapper-mobile {
    display: flex;
  }

  .banner-offer-wrapper::before {
    border-radius: 40px;
  }

  .banner-offer-mobile {
    border-radius: 40px;
    padding: 24px 60px;
    display: flex;
  }

  .traders-block {
    flex-direction: column;
    gap: 32px;
    padding: 24px;
    background: url('../image/M-mob.webp');
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 32px;
    border: unset;
  }

  #modalVideo {
    width: 92%;
  }

  .banner-offer_title {
    text-align: center;
    font-size: 14px;
    line-height: 140%;
  }

  .banner-offer_headline {
    padding: 20px 16px 16px;
  }
}

/* Mobile */
@media (max-width: 768px) {
  .container {
    padding: 0 16px;
  }

  .who-swiper-button-prev,
  .who-swiper-button-next {
    display: none;
  }

  .traditional-image--bad {
    width: 100%;
  }

  .who {
    padding: 40px 0;
  }

  .join-swiper-button-prev,
  .join-swiper-button-next {
    display: none;
  }

  .who-title {
    margin-bottom: 24px;
  }

  .who-title {
    margin-bottom: 8px;
  }

  .who-swiper {
    padding: 16px 16px 60px;
  }

  .who-slide {
    width: 100%;
  }

  .who-slide_title {
    font-size: 20px;
  }

  .who-slide_subtitle {
    font-size: 16px;
  }

  .who-slide_card {
    min-height: 420px;
  }

  .price {
    padding-bottom: 0;
  }

  .price-item_notime {
    margin-right: 16px;
    font-size: 14px;
    line-height: 21px;
  }

  .step-body {
    overflow: hidden;
    max-height: 0;
  }

  .step-item.open .step-body {
    max-height: 600px;
  }

  .switch-buttons {
    overflow-x: scroll;
    justify-content: flex-start;
    margin: 0 -16px 24px;
    padding: 0 16px;
  }

  .switch-button {
    min-width: fit-content;
  }


  .step-img-mobile {
    width: 100%;
    border-radius: 12px;
    display: block;
    margin-bottom: 1.25rem;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    border-bottom: 1px solid rgba(0, 0, 0, 0.10);
  }

  .steps-image-panel {
    display: none;
  }

  .step-title {
    font-size: 18px;
    line-height: 1.5;
    color: #000B36;
  }

  .step-desc {
    font-size: 16px;
    padding-bottom: 24px;
    border: none;
  }

  .step-trigger {
    gap: 8px;
  }

  .funded-title {
    margin-bottom: 8px;
  }

  .title {
    font-size: 32px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%;
    letter-spacing: -0.64px;
  }

  .main-dashboard {
    padding: 32px 0 24px;
  }

  .main-subtitle {
    font-family: Inter;
    font-size: 18px;
    font-weight: 500;
    line-height: 130%;
    letter-spacing: -0.36px;
  }

  .stats {
    padding: 24px 0;
  }

  .stats-content {
    gap: 12px;
  }

  .stats-item {
    min-width: calc(50% - 6px);
  }

  .traditional {
    padding: 48px 0;
  }

  .safer-path {
    padding-top: 0;
  }

  .safer-path::before {
    content: '';
    background: unset;
  }

  .safer-path__features::before {
    width: 100%;
    height: 305px;
    right: 0;
    left: 0;
    top: 0;
    content: '';
    background: url('../image/path2.webp');
    background-size: cover;
    background-repeat: no-repeat;
    position: absolute;
  }

  .safer-path .container {
    padding: 0;
  }

  .safer-path-title,
  .safer-path .btn-primary {
    padding: 0 16px;
  }

  .safer-path-title {
    margin-bottom: 0;
  }

  .safer-path .btn-primary {
    margin-top: 0;
  }


  .safer-path__features {
    align-items: center;
    flex-direction: column;
    justify-content: center;
    padding: 40px 16px;
    gap: 8px;
    position: relative;
  }

  .safer-path__feature {
    font-size: 16px;
    font-weight: 600;
    padding: 9.77px 19.533px 9.767px 19.533px;
    min-width: fit-content;
  }

  .safer-path__feature img {
    width: 18px;
    height: 18px;
  }


  .price-list {
    padding-left: 380px;
  }

  .price-nav {
    display: flex;
  }

  .video-block {
    padding: 48px 0;
  }


  .power {
    padding: 32px 0 0;
  }

  .power-title {
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%;
    letter-spacing: -0.48px;
  }

  .hide-desktop {
    display: flex;
  }

  .power-chart {
    gap: 24px;
  }

  .power-block-title {
    font-size: 18px;
    padding: 0 16px;
    margin: 16px 0;
    line-height: normal;
  }

  .power-chart--left,
  .power-chart--right {
    min-width: 120px;
  }

  .power-chart-lines {
    gap: 30px;
    bottom: 33px;
  }

  .power-bold,
  .power-right--top .power-bold {
    font-weight: 500;
    font-size: 16px;
  }

  .power-right--top {
    min-height: 54px;
  }

  .power-thin {
    font-size: 12px;
    font-weight: 500;
    line-height: 100%;
  }

  .rule-item {
    color: #1C1E4E;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 140%;
    text-align: left;
    padding: 16px 16px 16px 0;
    text-align: left;
  }

  .power-rules {
    margin: 40px 0;
    overflow-x: scroll;
    scrollbar-width: none;
  }

  .self-rules,
  .sabio-rules {
    min-width: 260px;
    flex-shrink: 0;
  }

  .self-rules {
    order: 1;
  }

  .subtitle {
    font-size: 18px;
    font-weight: 500;
    line-height: 140%;
    margin-bottom: 24px;
  }

  .ticker-item {
    font-size: 16px;
    padding: 8px 16px 8px 12px;
    gap: 7px;
  }

  .ticker-item img {
    width: 24px;
    height: 24px;
    flex-shrink: 0;
  }

  .learning-items {
    gap: 8px;
    margin-bottom: 40px;
  }

  .learning-item {
    height: 128px;
    min-width: auto;
    width: 100%;
    max-width: 350px;
  }

  .learning-item p {
    font-size: 20px;
    font-weight: 600;
    line-height: normal;
    letter-spacing: -0.2px;
  }

  .funded {
    padding-bottom: 40px;
  }


  .footer-block {
    flex-direction: column;
    align-items: flex-start;
  }

  .footer-wrap {
    flex-direction: column;
  }

  .footer-wrap__date {
    text-align: left;
  }

  /* Language dropdown */
  .dropdown {
    right: auto;
    left: -80px;
  }

}

@media (max-width: 375px) {
  .safer-path__features::before {
    background-position: contain;
  }
  .btn-green, .btn-primary {
    padding: 15px;
  }

}
